<?xml version="1.0" encoding="utf-8"?>
<creole>
    <variables>
        <family name='services'>
            <variable name='activer_sso' type='string' description='Utiliser un serveur EoleSSO'>
                <value>non</value>
            </variable>
        </family>

        <family name='eole sso' icon='group'>
            <!-- Configuration -->
            <variable name='eolesso_adresse' type='domain_strict' description= "Nom de domaine du serveur d'authentification SSO" mandatory="True"/>
            <variable name='eolesso_port' type='port' description='Port utilisé par le service EoleSSO' mandatory='True'>
                <value>443</value>
            </variable>
            <variable name='eolesso_cas_folder' type='filename' description="Alias d'accès au service SSO (paramètre : __CAS_FOLDER)" mode='expert' mandatory="False"/>
            <variable name='eolesso_ca_location' type='string' description="Chemin de l'autorité de certification (ou rien)"/>
        </family>
    </variables>

    <constraints>
        <fill name='calc_multi_condition' target='eolesso_cas_folder'>
            <param type="number">443</param>
            <param name='condition_1' type='eole'>eolesso_port</param>
            <param name='match'>/sso</param>
            <param name='default_mismatch'></param>
        </fill>
        <condition name='disabled_if_in' source='activer_sso'>
            <param>non</param>
            <target type='family'>eole sso</target>
            <target type='filelist'>ssoclient</target>
        </condition>
        <check name='valid_enum' target='activer_sso'>
            <param>['non', 'distant']</param>
        </check>
    </constraints>

    <help>
        <family name='eole sso'>Configuration du serveur d'authentification EoleSSO</family>
        <variable name='activer_sso'>EoleSSO est un serveur d'authentification développé pour répondre à la problématique du SSO (authentification unique)</variable>
        <variable name='eolesso_adresse'>Nom de domaine du serveur d'authentification, ne pas utiliser d'adresse IP ou localhost</variable>
        <variable name='eolesso_cas_folder'>Certains serveurs SSO tels que lemonLDAP ou keycloak ont besoin d'un alias spécifique en plus du domaine et du port, exemple : https://monserveursso:8443/CAS</variable>
        <variable name='eolesso_ca_location'>Certificat de l'autorité de certification validant le certificat du serveur SSO (dans le cas d'une chaine de certification, tous les certificats de la chaine doivent être intégés)</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
